<?php
// $Id: node.tpl.php,v 1.5 2007/10/11 09:51:29 goba Exp $
?>

<?php 
	//get contest workflow status and its set date
	$result = db_query("SELECT workflow_node.stamp, workflow_states.state  FROM workflow_node JOIN workflow_states ON workflow_node.sid = workflow_states.sid where nid=%d",$node->nid);
	if ($data = db_fetch_object($result)) {
	   //print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
	   $state = $data->state;
	   $state_date = $data->stamp; //date("m/d/Y", $data->stamp);
	   //$role_rid=$data->rid;
	} else unset($state);
		
	//$state=workflow_get_state($node->_workflow);

	//get contest idea count
	$result = db_query("SELECT content_type_idea.field_idea_contest_nid, contests.title, COUNT(node.nid) AS IDEA_NUM FROM node JOIN content_type_idea ON (node.nid = content_type_idea.nid AND content_type_idea.field_idea_contest_nid IS NOT NULL) JOIN node AS contests ON (contests.nid = content_type_idea.field_idea_contest_nid)  WHERE node.type = 'idea' AND content_type_idea.field_idea_contest_nid='%d' AND node.status=1 GROUP BY content_type_idea.field_idea_contest_nid ORDER BY IDEA_NUM DESC",$node->nid);
	if ($data = db_fetch_object($result)) {
	   //print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
	   $idea_count = $data->IDEA_NUM;
	   //$role_rid=$data->rid;
	} else $idea_count = 0;
	
	//get contest comment count	
	$result = db_query("SELECT content_type_idea.field_idea_contest_nid, node.nid, COUNT(comments.cid) AS COM_NUM  FROM node LEFT JOIN comments ON (node.nid=comments.nid AND comments.status = 0) JOIN content_type_idea ON (node.nid = content_type_idea.nid AND content_type_idea.field_idea_contest_nid IS NOT NULL) WHERE node.type = 'idea' AND content_type_idea.field_idea_contest_nid ='%d' AND node.status=1  GROUP BY content_type_idea.field_idea_contest_nid",$node->nid);
	if ($data = db_fetch_object($result)) {
	   //print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
	   $comment_count = $data->COM_NUM;
	   //$role_rid=$data->rid;
	} else $comment_count = 0;
?>

<table width="100%" > <!-- class="all_idea_list_table" border="1" -->
<tr>
	<td class="all_idea_list_idea_title_row" colspan="2">
		<a href="<?php print $node_url ?>" title="<?php print $title ?>"><?php print $title ?></a><?php if (!$status) { print ' <span class="idea_contest_title_unpublished">(Unpublished)</span>'; } ?>
	</td>
</tr>
<tr>
	<td width="150px" class="idea_contest_status_cell" rowspan="2">
	<table class="idea_contest_status_box">
		<tr>
			<td class="idea_contest_status_box_title">Idea Contest</td>
		</tr>
		<tr>
			<td class="idea_contest_status_box_value" style="padding-top:3px;">
				<span class="text">Created On:</span> <?php print(format_date($node->created, 'custom', 'm/d/Y')) ?>
			</td>
		</tr>
		<?php if (isset($state) && $state=="Closed"): ?>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Closed On:</span> <?php print(format_date($state_date, 'custom', 'm/d/Y')) ?>
			</td>
		</tr>
		<?php endif; ?>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Creator:</span> <span class="author"><?php print "<a href='".url('user/'.$node->uid)."'>".$node->name."</a>"; ?></span> 
			</td>
		</tr>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Status:</span> <span class="author"><?php if (isset($state)) print $state; else print('Undefined'); ?></span> 
			</td>
		</tr>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Ideas:</span> <span class="author"><?php print $idea_count; ?></span> 
			</td>
		</tr>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Comments:</span> <span class="author"><?php print $comment_count; ?></span> 
			</td>
		</tr>
	</table>
	</td>
	
	<td class="idea_contest_content_row">
		<?php $content= $node->content[body]['#value']; print($content); ?>
		<?php $content= $node->content['image_attach']['#value']; print($content); //support for Image module ?>
		<?php print ($node->content["my_gallery_field"]['#value']); // support for gallery assist module ?>
	</td>

</tr>

<tr>
	<td class="idea_contest_submit_idea_row">
		<?php if ((isset($state) && $state=="Active") || !isset($state)) //display 'create idea' button if the contest is open for submissions or does not have state
			print "<span class='idea_contest_create_idea'><a href='".url("node/add/idea/".$node->nid)."'>Submit Idea</a></span>"; // support for gallery assist module 
		?>	
	</td>
</tr>

<tr>
	<td class="all_idea_list_idea_comment_count_row"> <!-- colspan="2" -->
		<!-- <span class="text">Comments:</span> <?php print($node->comment_count) ?> -->
	</td>
	<td class="all_idea_list_idea_rdf_icon_row">
		<a href="<?php print(url('node/'.$node->nid).'/tordf'); ?>"><img class="all_idea_list_idea_rdf_icon" src="<?php print 'http://'.$_SERVER['HTTP_HOST'].base_path() . $GLOBALS['theme_path']; ?>/buttons/rdf_icon_link_hover.png" width="16px" height="16px"/></a>
	</td>
</tr>

</table>
<?php 
	//$myArgs = array('214','58');
	print views_embed_view('all_ideas_frontpage','page_1',"all",$node->nid);
?>